com.holonplatform.datastore.jpa.querydsl

## Interface QueryDslProperty.QueryDslPropertyBuilder<T>

- Type Parameters:
    `T` - Property type
  All Superinterfaces:
    com.holonplatform.core.property.CloneableProperty<T,com.holonplatform.core.property.PathProperty<T>,com.holonplatform.core.property.PathProperty.Builder<T,com.holonplatform.core.property.PathProperty<T>,?>>, com.holonplatform.core.property.CloneableProperty.CloneablePathProperty<T,com.holonplatform.core.property.PathProperty<T>>, com.holonplatform.core.ConverterExpression<T>, com.holonplatform.core.DataMappable, com.holonplatform.core.DataMappable.Builder<QueryDslProperty.QueryDslPropertyBuilder<T>>, com.holonplatform.core.Expression, com.holonplatform.core.HasConfiguration<com.holonplatform.core.property.PropertyConfiguration>, com.holonplatform.core.i18n.Localizable, com.holonplatform.core.i18n.Localizable.Builder<QueryDslProperty.QueryDslPropertyBuilder<T>>, com.holonplatform.core.Path<T>, com.holonplatform.core.Path.Builder<T,QueryDslProperty.QueryDslPropertyBuilder<T>>, com.holonplatform.core.query.PathExpression<T>, com.holonplatform.core.property.PathProperty<T>, com.holonplatform.core.property.PathProperty.Builder<T,QueryDslProperty<T>,QueryDslProperty.QueryDslPropertyBuilder<T>>, com.holonplatform.core.property.Property<T>, com.holonplatform.core.property.Property.Builder<T,QueryDslProperty<T>,QueryDslProperty.QueryDslPropertyBuilder<T>>, QueryDslProperty<T>, com.holonplatform.core.query.QueryExpression<T>, com.holonplatform.core.query.QueryProjection<T>, Serializable, com.holonplatform.core.TypedExpression<T>, com.holonplatform.core.Validator.Validatable<T>
  All Known Implementing Classes:
    DefaultQueryDslProperty
  Enclosing interface:
    QueryDslProperty<T>

      public static interface QueryDslProperty.QueryDslPropertyBuilder<T>
      extends com.holonplatform.core.property.PathProperty.Builder<T,QueryDslProperty<T>,QueryDslProperty.QueryDslPropertyBuilder<T>>, QueryDslProperty<T>

  `QueryDslProperty` builder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.datastore.jpa.querydsl.QueryDslProperty

      `QueryDslProperty.QueryDslPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.PathProperty

      `com.holonplatform.core.property.PathProperty.Builder<T,P extends com.holonplatform.core.Path<T> & com.holonplatform.core.property.Property<T>,B extends com.holonplatform.core.property.PathProperty.Builder<T,P,B>>, com.holonplatform.core.property.PathProperty.PathPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.CloneableProperty

      `com.holonplatform.core.property.CloneableProperty.CloneablePathProperty<T,P extends com.holonplatform.core.property.Property<T> & com.holonplatform.core.Path<T>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `com.holonplatform.core.property.Property.PropertyAccessException, com.holonplatform.core.property.Property.PropertyNotFoundException, com.holonplatform.core.property.Property.PropertyReadException, com.holonplatform.core.property.Property.PropertyReadOnlyException, com.holonplatform.core.property.Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `com.holonplatform.core.i18n.Localizable.LocalizableBuilder, com.holonplatform.core.i18n.Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `com.holonplatform.core.Path.FinalPath<T>, com.holonplatform.core.Path.PathBuilder<T>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

    - ### Fields inherited from interface com.holonplatform.core.DataMappable

      `DEFAULT_CONFIG_PROPERTY_PREFIX, PATH`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.Path.Builder

      `parent`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable.Builder

      `dataPath`

    - ### Methods inherited from interface com.holonplatform.core.property.Property.Builder

      `configuration, configuration, converter, converter, equalsHandler, hashCodeProvider, localization, temporalType, validator, withConfiguration, withConfiguration, withValidator`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable.Builder

      `message, message, messageArguments, messageCode`

    - ### Methods inherited from interface com.holonplatform.datastore.jpa.querydsl.QueryDslProperty

      `getPath, of`

    - ### Methods inherited from interface com.holonplatform.core.property.PathProperty

      `create, create, isReadOnly`

    - ### Methods inherited from interface com.holonplatform.core.property.CloneableProperty

      `clone`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getExpressionValueConverter, getName, getTemporalType, getType, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.query.PathExpression

      `asc, desc, from`

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, fullName, getName, getParent, isRootPath, of, relativeName, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable

      `getDataPath, isDataMappable`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

Copyright © 2019 The Holon Platform. All rights reserved.